/*
  Copyright (C) 2009 Facundo Domínguez 

  This file is part of Spacejunk.

  Spacejunk is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Foobar is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SCREENS_H
#define SCREENS_H

#include "scorelist.h"

typedef enum {
QUITBT,
PLAYBT,
SCORESBT,
STORYBT,
CREDITSBT,
EDITORBT,
OPTIONSBT,
MULTIPLAYERBT
} ButtonPress;

ButtonPress mainScreen(int & levelcount,int leveltotal);
bool fallenScreen();
void lastLevelScreen();
void optionsScreen(int * musvol, int * fxvol);
void scoreScreen(const ScoreList &scorelist);
void storyScreen();
void enterScoreScreen(ScoreList * scorelist,int points);
bool giveUpScreen();
bool missionFailedScreen();
bool sumaryScreen(real fuel,real maxfuel,int bonus,int * score);
void creditsScreen();

#endif // SCREENS_H
