/*
  Copyright (C) 2009 Facundo Domínguez 

  This file is part of Spacejunk.

  Spacejunk is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Foobar is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBAL_H
#define GLOBAL_H

#include "../config.h"

#define EPS 1e-6

#define printx(code) msg(__FILE__<<":"<<__LINE__<<": "<<#code);code
#define printexec(header) header { msg(#header);
#define printend(header) msg("end "<<#header);

#define map_container(t,l,f) for(t::iterator i=l.begin();i!=l.end();i++) f;
#define delete_container_elements(t,l) for(t::iterator i=l.begin();i!=l.end();i++) delete (*i);

#endif // GLOBAL_H
