/*
  Copyright (C) 2009 Facundo Domínguez 

  This file is part of Spacejunk.

  Spacejunk is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Foobar is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef IMAGESCROLLER_H
#define IMAGESCROLLER_H

#include "SDL.h"

class ImageScroller {
private:
    SDL_Surface * img;
    double vel;
    SDL_Rect window;
    Uint32 init;
public:
    ImageScroller(SDL_Surface * img,const SDL_Rect & window,double vel);
    void reset();
    void draw(SDL_Surface * dst,Uint16 x,Uint16 y,bool drawfull);
};

#endif // IMAGESCROLLER_H
